{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
    "identifier": "vatonage:infinity_apple"
    },

    
    "tags": [ "extremecrafting" ],
    "pattern": [
      "ABC",
      "DEF",
      "GHI"
    ],
    "key": {
      "A": {
        "item": "minecraft:cooked_beef"
      },
      "B": {
        "item": "minecraft:cooked_chicken"
      },
      "C": {
        "item": "minecraft:cooked_cod"
      },
      "D": {
        "item": "minecraft:cooked_mutton"
      },
      "E": {
        "item": "minecraft:appleenchanted"
      },
      "F": {
        "item": "minecraft:cooked_porkchop"
      },
      "G": {
        "item": "minecraft:cooked_rabbit"
      },
      "H": {
        "item": "minecraft:cooked_salmon"
      },
      "I": {
        "item": "minecraft:pufferfish"
      }
    },
    "result": {
      "item": "vatonage:infinity_apple"
    }
  }
}
